package edu.travel.remote.feign.mode.vo.tenant;

import edu.travel.entity.BaseEntity;
import lombok.Data;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * TenantVo 类。
 * <p>
 * 描述：
 *
 * @author huangwenwen
 * @date 2025/2/8
 */

@Data
public class EduTenantVo extends BaseEntity {
    /**
     * 主键
     */
    private String id;

    /**
     * 姓
     */
    private String tenantSurname;

    /**
     * 名
     */
    private String tenantName;

    /**
     * 性别 0男 1女
     */
    private Integer tenantSex;

    /**
     * 头像
     */
    private String tenantAvatar;

    /**
     * 手机号
     */
    private String tenantPhone;

    /**
     * 地区区号
     */
    private String tenantArea;

    /**
     * 生日日期
     */
    private Date tenantBirthday;

    /**
     * 微信小程序openid
     */
    private String tenantOpenId;

    /**
     * 微信小程序unionid
     */
    private String tenantUnionid;

    /**
     * 现实名
     */
    private String showName;

    /**
     * 用户状态
     */
    private Integer userStatus;

    /**
     * 用户性别字典
     */
    private Map codeSexDict;

    /**
     * 用户状态字典
     */
    private Map codeUserStatusDict;

    /**
     * 用户角色列表
     */
    private List<Long> roleIdList;

}