package edu.travel.commodity.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class ShopCartListVo {
    /**
     * '购物车表ID'
     */
    private String id;
    /**
     * SKU ID
     */
    private String skuId;
    /**
     * 商品ID
     */
    private String productId;

    /**产品sku_ID*/
    private String productSkuId;

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 商品描述
     */
    private String description;

    /**
     * SKU商品图片
     */
    private String skuImage;

    /**
     * 销量
     */
    private Integer salesVolume;
    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 数量
     */
    private Integer quantity;

    /**
     * 规格值
     */
    private List<SpecValueVo> specValue;

}
